Skip to main content
POST
/
v1
/
upload
/
url
Upload from URL
curl --request POST \
  --url https://api.vidjutsu.ai/v1/upload/url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceUrl": "<string>",
  "contentType": "<string>"
}
'
{
  "assetId": "<string>",
  "url": "<string>",
  "key": "<string>",
  "size": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.vidjutsu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
sourceUrl
string
required
contentType
string

Response

The request has succeeded and a new resource has been created as a result.

assetId
string
required
url
string
required
key
string
required
size
number<double>
required